# class KJavaAppletContext | Communicates with a KJAS server to display and control Java applets. More...
Definition | `#include <kjavaappletcontext.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KJavaAppletContext ()
- ~KJavaAppletContext ()
- int contextId ()
- void setContextId ( int id )
- void create ( KJavaApplet* )
- void destroy ( KJavaApplet* )
- void init ( KJavaApplet* )
- void start ( KJavaApplet* )
- void stop ( KJavaApplet* )
- void processCmd ( QString cmd, QStringList args )

#### Signals

- void showStatus ( const QString& txt )
- void showDocument ( const QString& url, const QString& target )

#### Protected Slots

- void received ( const QString& cmd, const QStringList& arg )

#### Protected Members

- static int contextCount
- KJavaAppletServer* server

## Detailed Description

KJavaAppletContext () | ### KJavaAppletContext

~KJavaAppletContext () | ### ~KJavaAppletContext

int contextId () | ### contextId

Returns the ID of this context.

void setContextId ( int id ) | ### setContextId

Sets the ID of this context.

void create ( KJavaApplet* ) | ### create

Sends a message to create the applet.

void destroy ( KJavaApplet* ) | ### destroy

Sends a message to destroy the applet.

void init ( KJavaApplet* ) | ### init

Sends a message to initialize the applet.

void start ( KJavaApplet* ) | ### start

Sends a message to start the applet.

void stop ( KJavaApplet* ) | ### stop

Sends a message to stop the applet.

void processCmd ( QString cmd, QStringList args ) | ### processCmd

use this for applet call backs, the AppletServer calls this directly.

void showStatus ( const QString& txt ) | ### showStatus

[signal]

Signals the KHMTL Part to show this as the status message.

void showDocument ( const QString& url, const QString& target ) | ### showDocument

[signal]

Signals the KHTML Part to show a url in a given target

static int contextCount | ### contextCount

[protected]

KJavaAppletServer* server | ### server

[protected]

void received ( const QString& cmd, const QStringList& arg ) | ### received

[protected slots slot]

- Version: $Id: kjavaappletserver.h,v 1.18 2001/01/23 17:30:01 wynnw Exp $
- Author: Richard J. Moore, rich@kde.org
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:59 2001, using kdoc 2.0a53.